function ebppsize(null)

ebscale=0.92;
wfscale=0.83;

% look for the open windows
efig = -1; cfig = -1; wfig = -1; sfig = -1;
wl = get(0,'Children');
for i = 1:length(wl)
   if strcmp(get(wl(i),'Name'),'Eye Monitor'),           efig=wl(i); end
   if strcmp(get(wl(i),'Name'),'Eye Monitor Control'),   cfig=wl(i); end
   if strcmp(get(wl(i),'Name'),'Waveform Monitor'),      wfig=wl(i); end
   if strcmp(get(wl(i),'Name'),'Data Scaling & Offset'), sfig=wl(i); end
end

% Size altered on 4/9/02 for 'eyeballs'
ebsize=get(efig,'position');
newebsize(3:4)=ebscale*ebsize(3:4);
set(efig,'Pos',[ebsize(1:2) newebsize(3:4)]);

wfsize=get(wfig,'position');
newwfsize(3:4)=wfscale*wfsize(3:4);
set(wfig,'Pos',[wfsize(1:2) newwfsize(3:4)]);

% In Matlab: Preferences-Copying-Honor Fig Size should be OFF