function plth

global rh lh st namelist

plthFigH = figure;
plthFigColor = get(plthFigH,'color');
if plthFigColor(1) >= 0.6     %% Light background
   lhColor = 'g';
   rhColor = 'b';
 elseif plthFigColor(1) < 0.6;
   lhColor = 'y';
   rhColor = 'c';
end

if ~isempty(rh)
   t=maket(rh);
 elseif ~isempty(lh)
   t=maket(lh);
 else
   disp('No horizontal data!?!')
   return
end
 
maxpt=max(max([lh,rh]));
minpt=min(min([lh,rh]));
maxt=max(t);

hold on
if ~isempty(lh)
   plot(t,lh,lhColor)
   lehH=text(maxt,minpt,'LEH');
   set(lehH,'color', lhColor);
end   
if ~isempty(rh)
   plot(t,rh,rhColor)
   rehH=text(maxt,maxpt,'REH');
   set(rehH,'color', rhColor);
end   
if ~isempty(st)
   plot(t,st,'r')
   rehH=text(maxt,maxpt,'Stim');
   set(rehH,'color', 'r');
end   

if exist('namelist','var')
   if ~isempty(namelist)
      title(nameclean(namelist));
   end
end

ept; dragger

%clear reH leH plthFigH plthFigColor lhColor