function pdkey( key )
% Called by pickdata.m when a key is pressed.
% 'o' or <CR> will select "OK" button
% 'c' or <Esc> will select the "Cancel" button
% 'a' will click the "All Files/Channels" radio button
% 's' will click the "Saccades Only" radio button
%
% Written by: Jonathan Jacobs
%             March 1997 - December 2000  (last mod: 12/10/00)

%key
%abs(key)

% 13 = <Return>, 27 = <Esc>

if( abs(key) == 13 )| (strcmp(key,'o'))
   evalin('base','readBox')
   evalin('base','pdclear')
  elseif strcmp(key,'v')
   % toggle "Make Vel" checkbox
   evalin('base','cboxtggl(hMakeVel)')
  elseif strcmp(key,'l')
   % toggle "Make Accel" checkbox
   evalin('base','cboxtggl(hMakeAcc)')
  elseif strcmp(key,'t')
   % toggle "Make Time" checkbox
   evalin('base','cboxtggl(hMakeTime)')
  elseif strcmp(key,'a')
   evalin('base','sacsel(hBox, hSacRB, 1, total_files_loaded, hasSacPts)')
   evalin('base','sacsel(hBox, hSacRB, 1, total_files_loaded, hasSacPts)')
  elseif strcmp(key,'s')
   evalin('base','sacsel(hBox, hSacRB, 2, total_files_loaded, hasSacPts)')
   evalin('base','sacsel(hBox, hSacRB, 2, total_files_loaded, hasSacPts)')
 elseif( abs(key) == 27 ) | (strcmp(key,'c'))
   evalin('base','close(prepfig)')
   evalin('base','pdclear')
end
