% sacsel.m: called from 'pickdata' to enable/disable ability to select
% files that have no associated saccade control points file.
% written by:  Jonathan Jacobs
%              March 1996 - December 2000  (last mod: 12/10/00)

function toggle( boxH, buttonH, n, num_butt, hasSacPts )

otherButton(1) = 2;  % this lets us clear the other radio button
otherButton(2) = 1;  % when we select the one we want.

state = get( buttonH(n), 'Value' );
if state == 0                        % you've clicked on an already set
   set( buttonH(n), 'Value', 1 );    % button.  So simply set it back to 1
   return                            % and return.
end

if n == 1                               % this will enable all check boxes,
   for i = 1:num_butt                   % even for files w/o saccades
      for button_col = 1:6
         if boxH(i, button_col)
            %set( boxH(i,button_col), 'Enable', 'on' );       % just enable box
            set( boxH(i,button_col), 'Enable', 'on', 'Value',1 ); % set it, too
         end
      end
   end
   set( buttonH(otherButton(n)), 'Value', 0 );
   return
 elseif n == 2                           % only boxes for files with  
   for i = 1:num_butt                    % saccades will be enabled
      for button_col = 1:6
         if boxH(i, button_col)
            if hasSacPts(i,button_col) == 0
               set( boxH(i,button_col), 'Enable', 'off' );
               set( boxH(i,button_col), 'Value', 0 );
            end
         end
      end
   end
   set( buttonH(otherButton(n)), 'Value', 0 );
   return
end
