% stripNaN.m:  take an array, remove the NaNs, and concatenate into a vector.
% We preserve the orientation of the original array.

% Written by Jonathan Jacobs
%            October 1997 - April 1998 (last mod:  04/02/98)

function [out, num] = makeVect(in);

[r,c] = size(in);
flag=0;
if r < c
   in = in';
   flag = 1;
end

out = [];
for i = 1:min(r,c)
   good_pts = find(~isnan(in(:,i)));
   out = [out' in(good_pts,i)']';     
end

num = length(out);

if flag
   out = out';
end