% recolor.m: turn all lines/text to white.

% Written by:  Jonathan Jacobs
%              March 2001  (last mod: 03/31/01)

function recolor(null)

oldColor = [1 1 1];
oldLStyle = '-';
newColor = 'b';
%newColor = [0.5 0.5 0.5]; % dk. gray
newLStyle = '-';

axlist = get(gcf,'Children');
for a = 1:length(axlist)
	% find all the objects in the axis
	ga = axlist(a);
	children = get(ga,'children');

	% Find the handles for lines, text, patches?
	chillen = length(children);
	otherlist=[];
	for i=1:chillen
	objType  = lower(get(children(i),'Type'));
	
	   if strcmp(objType,'line') 
	      linColor = lower(get(children(i),'Color'));
	      linStyle = lower(get(children(i),'linestyle'));
          if all(linColor == oldColor) & strcmp(linStyle,oldLStyle)
     	     set(children(i),'Color', newColor);
	         set(children(i),'linestyle', newLStyle);
	      end   
	      %set(children(i),'MarkerEdgeColor', 'auto');
	      %set(children(i),'MarkerFaceColor', 'none');
	    elseif strcmp(a,'text')
	      %set(children(i),'Color', 'w');
	    elseif strcmp(a,'patch')
	      %set(children(i),'FaceColor', 'w');
	      %set(children(i),'EdgeColor', 'w');
	   end
	end
    %set(get(ga,'xlabel'),'color','w')
    %set(get(ga,'ylabel'),'color','w')
    %set(get(ga,'zlabel'),'color','w')
    %set(get(ga,'title' ),'color','w')
end
