% is_wform.m: is the input word a waveform?

% Written by:  Jonathan Jacobs
%              July 1997  (last mod:  07/04/97)

function [flag, waveForm] = is_wform(in)

mod_in = lower(deblank(in));

if strcmp(mod_in, 'pc')
   flag = 1;
   waveForm = 'PC';
   return
 elseif strcmp(mod_in, 'pp')
   flag = 1;
   waveForm = 'PP';
   return
 elseif strcmp(mod_in, 'ppfs')
   flag = 1;
   waveForm = 'PPfs';
   return
 else
   flag = 0;
   waveForm = '???';
   return
end
