% obr2bin.m: convert an .txt file to a raw binary format ('.bin') file

% Written by:  Jonathan Jacobs
%              February 2004 (last mod: 02/26/04)


function obr2bin(~)

curdir = pwd;

[fn, pn]=uigetfile('*.obr', 'Select an ober file to load');

if fn == 0, disp('Aborted.'); return, end

cd(pn)
fid = fopen(fn, 'r', 'b');
fseek(fid, 840, 'bof');
tempdata = fread(fid, inf, 'short');

areDataPts = find( (tempdata >= 0) & (tempdata <= 4095) );
data = tempdata(areDataPts);

numsamps = length(tempdata);

keyboard

return
fname = strtok(fn,'.');
%numchan = input('How many channels

yorn = input('Do you agree (y/n)? ','s');

switch(yorn)
 case{'n','no'}
   disp('Aborting.  No conversion performed.')
   return
 case {'y','yes'}
	cfile = [fname '.bin'];
	eval(['cd ' '''' pn ''''])
	disp(['saving ' '''' pn cfile ''''])
	fid = fopen(cfile, 'w', 'l');
	fwrite(fid, in, 'float');
	fclose(fid);
   disp(['Converted file ' cfile ' written to ' pn])
end  

exten   = '.bin' ;
ftype   = '    ' ;
creator = 'dosa' ;

comp=computer;
if strcmp(comp,'MAC2') & exist('filetype.m') == 2 & exist('filetype.mex') == 3
   disp('Changing filetype and creator.')
   [oldtype,oldcreator]=filetype(cfile, ftype, creator);
end

cd(curdir)
