% rdpath.m:  Either read in the last directory (&path) from which a data file
% was RD, or write the directory (&path) to the RD directory.
% If rdpath.txt is missing,running "RD" will generate it.

% Written by:  Jonathan Jacobs
%              July 1997 - March 2004 (last mod: 03/11/04)

function rdpath( mode, thisPath )

gp_err = 0;
oldpath = pwd;
cd(matlabroot)
eval('cd(findomprefs)','gp_err=1;')
if gp_err % must make a omprefs directory
   cd(findomtools)
   mkdir('omprefs')
end

switch lower(mode(1))
 case {'r'}
   fid = fopen('rdpath.txt');
   if fid > 0
      lastRD_txt = fread(fid);
      fclose(fid);
      rdpath = setstr(lastRD_txt)';
      eval(['cd ' '''' rdpath ''''], 'datadir')
    else
      disp('Bad path to last read file.  Going to default data directory.')
      datadir
   end
   return
end

if lower(mode(1)) == 'w'
   fid=fopen('rdpath.txt','w');
   fwrite(fid, thisPath, 'char');
   fclose(fid);
   eval(['cd ' '''' oldpath ''''])
   return
end

