% numsacs.m:  Display the list of selected files and
% how many saccades they have
% written by:  Jonathan Jacobs
%              March 1996 - May 1996 (last mod: 05/10/96)

if ~exist('what_files')
   disp( ' ' )
   disp( 'numsacs: You must run "pickdata" before you can use this routine.' )
   pickdata
   return
end

[numFiles, dummy] = size(what_files);
runningT = 0; nSacs = [];
disp('                  # of     running')
disp('File            saccades    total')
for i = 1:numFiles
   nSacs(i) = length(find(sacv_on_mat(:,i)<100000));
   runningT = runningT + nSacs(i);
   disp( [what_f_array(i,:) '  ' num2str(nSacs(i)),...
           09 '     ' num2str(runningT)] )
end
disp( '-----------------------')
disp(['Total' 09 09 '  ' num2str(sum(nSacs))])

if ~exist('debugme') debugme = 0; end
if ~debugme
   clear nSacs numFiles dummy i
end
