% prepad.m: add blanks to the front of an input string.
% USAGE  out = prepad(in, len)
% where in is the input string
%       len is the length of the output string

% Written by:  pretty much everyone in the world
%              at one time or another.
%              July 1997  (last mod:  07/04/97)

function out = prepad(in,out_len)

in_len = length(in);

[r,c] = size(in);
diff = out_len - c;

for i=1:r
   out(i,:) = [blanks(diff) in(i,:)];
end
