% procline.m:  read a line of text and return the number of 'words' and
% the list of words.
% Usage: [word_list, numwords] = procline(input_text)

% Written by:  Jonathan Jacobs
%              July 1997  (last mod: 07/02/97)

function [word_list, numwords] = readline(input_text)

if nargin == 0
   help readline
   return
end

count = 1;
while( ~all(isspace(input_text)) )
   [temp, input_text] = strtok(input_text);
   word_list(count,:) = pad(temp,20);
   count = count + 1;
end

numwords = count-1;
